#!/usr/bin/make

# mdl.mak - compile program mdl (Population Model)
# Version 1.1.0
# Copyright (C) 2001-2010  dondalah721@yahoo.com (Dondalah)

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to:

# 	Free Software Foundation, Inc.
# 	59 Temple Place - Suite 330
# 	Boston, MA  02111-1307, USA.

OBJ=mdl.tab.o \
	lex.yy.o

mdl:		$(OBJ)
	$(CC) $(OBJ) -o mdl -ll -lfl -lm

mdl.tab.o:		mdl.tab.c
	$(CC) -c mdl.tab.c

lex.yy.o:	lex.yy.c
	$(CC) -c lex.yy.c

mdl.tab.c:		mdl.y
	bison -d mdl.y
	# change YYDEBUG to 1 to debug mdl.y

lex.yy.c:	mdl.l
	flex mdl.l
	# use the -d option to turn on flex debugging
	# flex -d mdl.l

clean:	
	rm -f mdl lex.yy.c mdl.tab* $(OBJ)
	rm -f tst.out tst.err
